#include <bits/stdc++.h>

using namespace std;

int main()
{
    int b,c,a,a1,a2;
    cin>>b>>c;
    if ((b+c)>=256)
    {
        a=0;
    }
    else
    {
        a1=256-b;
        a2=256-c;
        if (a1<a2)
        {
            a=a1;
        }
        else
        {
            a=a2;
        }
    }
    cout<<a;
}